%define mod_name	google-api-python-client

Name:		python-%{mod_name}
Summary:	Python libraries for accessing Google APIs
Version:	1.4.2
Release:	%mkrel 4
Source0:	https://github.com/google/%{mod_name}/archive/v%{version}.tar.gz
URL:		https://code.google.com/p/google-api-python-client/
Group:		Development/Python
License:	ASL 2.0
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python3-setuptools

%description
Python libraries for accessing Google APIs.

%package -n python3-%{mod_name}
Summary:	Python 3 libraries for accessing Google APIs
Group:		Development/Python

%description -n python3-%{mod_name}
Python 3 libraries for accessing Google APIs.

%prep
%setup -q -n %{mod_name}-%{version} 
%autopatch -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGELOG LICENSE
%{python2_sitelib}/apiclient
%{python2_sitelib}/googleapiclient
%{python2_sitelib}/google_api_python_client-%{version}-*.egg-info

%files -n python3-%{mod_name}
%doc CHANGELOG LICENSE
%{python3_sitelib}/apiclient
%{python3_sitelib}/googleapiclient
%{python3_sitelib}/google_api_python_client-%{version}-*.egg-info


%changelog
* Wed Apr 27 2016 daviddavid <daviddavid> 1.4.2-4.mga6
+ Revision: 1006946
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.4.2-3.mga6
+ Revision: 971003
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.4.2-2.mga6
+ Revision: 888915
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 1.4.2-1.mga6
+ Revision: 879028
- Update to 1.4.2 and build python3 version which is not supported

* Mon Sep 14 2015 pterjan <pterjan> 1.2-6.mga6
+ Revision: 879006
- Actually remove included oauth2client instead of conflicting
- Add a conflict with python-oauth2client which is now packaged separately

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 739231
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-4.mga5
+ Revision: 728630
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 688060
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.2-1.mga4
+ Revision: 555970
- imported package python-google-api-python-client

